Subject: Re: Impressed by your summary of DarwinDay.org

From: NSK <[email-masked]>
Date: Tue, 22 Feb 2005 03:23:51 +0200

Hello,

I am pleased that you liked my review.

Are you interested to have Modern Greek translations of your texts? I may have 
some free time after April and I would be happy to help.

-- 
NSK (Nikolaos S. Karastathis)
Personal Homepage at http://nsk.wikinerds.org/
Owner of http://portal.wikinerds.org
Owner of http://www.nerdypc.org

On Tuesday 22 February 2005 00:36, you wrote:
> Dear Nicholaos,
>
> Dr. Stephens and I were impressed by your thoughtful, accurate, and well
>   expressed review of our Darwin Day Celebration web site.  Whether it
> comes from your personal knowledge or from skillful use of Wikipedia,
> the end result is informed and articulate.
>
> As you aparently noticed, we have science backgrounds and want to
> promote a worldwide celebration of Science and Humanity, as a modern
> holiday honoring the people and scientific process which is grasping
> useful knowledge from Nature, for human benefit.
>
> Best wishes,
>
>    - David Harris, Database Architect and Outreach Developer
>      DarwinDay.org